
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>希尔排序算法的实现 / iVAN</title>

    <meta name="description" content="希尔排序算法的实现 希尔排序(shellsort)又叫增量递减(diminishing increment)排序,是由D.L. Shell发明的,这个算法是通过一个逐渐减小的增量使一个数组逐渐趋近于有序从而达到排序的目的. 假设有一个数组int data[16] = {...}. 首先将这个增量设为16 / 2 = 8,这样就将这个数组分成了8个子数组,它们的索引是0, 8    1, 9   2, 10等等 .对这些子数组进行排序.然后再使增量为8 / 2 = 4,这样就将原数组分成了4个子数组,它们的索引分别是">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">希尔排序算法的实现</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>希尔排序(shellsort)又叫增量递减(diminishing increment)排序，是由D.L. Shell发明的，这个算法是通过一个逐渐减小的增量使一个数组逐渐趋近于有序从而达到排序的目的。</p>
<p>假设有一个数组int data[16] = {...}。 首先将这个增量设为16 / 2 = 8，这样就将这个数组分成了8个子数组，它们的索引是0, 8    1, 9   2, 10等等 。对这些子数组进行排序。然后再使增量为8 / 2 = 4，这样就将原数组分成了4个子数组，它们的索引分别是0, 4, 8, 12    1, 5, 9, 13等等。再对这四组数进行排序，直到增量为1。</p>
<p>以上所描述的增量递减只是一种方法，这种方法并不是最有效率的。如f(n) = 3 * f(n - 1) + 1  f(1) = 1   (..., 121, 40， 13,  4, 1)就比上面的取增量的方法好。这种方法的时间复杂度是O(n ^1.5)。</p>
<p>算法如下</p>
<pre>
#include &lt;stdio.h&gt;

void output_array(int data[], int n)
{
    int i;
    for(i = 0; i &lt; n; i++)
        printf("%d ", data[i]);
    printf("\n");
}
void swap(int *a, int *b)
{
    int x;
    x = *a;
    *a = *b;
    *b = x;
}
void insertion_sort(int data[], int n, int increment)
{
    int i, j;
    for(i = increment; i &lt; n; i += increment)
        for(j = i; j &gt;= increment &amp;&amp; data[j] &gt; data[j - increment]; j -= increment)
            swap(&amp;data[j], &amp;data[j - increment]);
}
void shellsort(int data[], int n)
{
    int i, j;
    for(i = n / 2; i &gt; 2; i /= 2)
        for(j = 0; j &lt; i; j++)
            insertion_sort(data + j, n - j, i);
    insertion_sort(data, n, 1);
}
int main()
{
    int data[] = {5, 3, 1, 665, 77, 66, 44, 11, 10, 9, 8, 6};
    output_array(data, 12);
    shellsort(data, 12);
    output_array(data, 12);
    return 0;
}</pre>
<p>本文出自 “李宁的极客世界” 博客，请务必保留此出处http://androidguy.blog.51cto.com/974126/215348</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索数组<br />
                    ，                int<br />
                    ，                排序<br />
                    ，                希尔排序<br />
                    ，                增量<br />
                    ，                data<br />
                    ，                增量索引<br />
                    ，                Increment<br />
                    ，                希尔排序算法<br />
                                    Insertion<br />
                                    希尔排序算法实现、希尔排序算法、希尔排序算法动画演示、希尔排序算法过程、希尔排序算法c语言，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-20 08:10:26</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/data/" title="data">data</a>, <a href="https://www.iamivan.net/tag/%e6%8e%92%e5%ba%8f/" title="排序">排序</a>, <a href="https://www.iamivan.net/tag/int/" title="int">int</a>, <a href="https://www.iamivan.net/tag/%e5%b8%8c%e5%b0%94%e6%8e%92%e5%ba%8f/" title="希尔排序">希尔排序</a>, <a href="https://www.iamivan.net/tag/%e5%b8%8c%e5%b0%94%e6%8e%92%e5%ba%8f%e7%ae%97%e6%b3%95/" title="希尔排序算法">希尔排序算法</a>, <a href="https://www.iamivan.net/tag/insertion/" title="Insertion">Insertion</a>, <a href="https://www.iamivan.net/tag/%e5%a2%9e%e9%87%8f/" title="增量">增量</a>, <a href="https://www.iamivan.net/tag/%e5%a2%9e%e9%87%8f%e7%b4%a2%e5%bc%95/" title="增量索引">增量索引</a>, <a href="https://www.iamivan.net/tag/increment/" title="Increment">Increment</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>希尔排序算法的实现的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6NrBNM.html" rel="bookmark">排序算法的实现及性能分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				排序算法的实现及性能分析 --(java版) 排序是对数据元素序列建立某种有序排列的过程.更确切的说,排序是把一个数据元素序列整理成按关键字递增(或递减)排列的过程. 不过首先,我们必须先解释一下关键字这个词.关键字是要排序的数据元素集合中的一个域,排序是以关键字为基准进行的.而关键字也分为主关键字和次关键字.对于要排序的数据元素集合来说,如果关键字满足数据元素值不同时,该关键字也不同,这样的关键字称为主关键字.不满足主关键字定义的就称为次关键字. 简单来说,排序分为内部排序和外部排序两种.内部			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrN0Op.html" rel="bookmark">java几种排序算法的实现及简单分析&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了java几种排序算法的实现及简单分析.分享给大家供大家参考.具体如下: package test; public class first { /*普通的插入排序*/ public void insertSort(int[] list) { int i, j; list[0] = -999; //相当于设置一个监视哨兵,不用判断是否越界, //但要求数组从第二个数开始即i=1开始存储 for (i = 1; i &lt; list.length; i++) { j = i; while (			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmXWmz.html" rel="bookmark">7种排序算法的实现示例&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: #include &lt;stdio.h&gt;#include &lt;stdlib.h&gt;#include &lt;time.h&gt; void BubbleSort1 (int n, int *array) /*little &gt; big*/{ int i, j; for (i=0; i&lt;n-1; i++) {  for (j=n-1; j&gt;i; j--)  {   if (array[j] &lt; array[j-1])   {    int temp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKd2Vp.html" rel="bookmark">常见排序算法的实现&lpar;一&rpar;-插入排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				插入排序是最简单最直观的排序算法了,它的依据是:遍历到第N个元素的时候前面的N-1个元素已经是排序好的了,那么就查找前面的N-1个元素把这第N个元素放在合适的位置,如此下去直到遍历完序列的元素为止. 算法的复杂度也是简单的,排序第一个需要1的复杂度,排序第二个需要2的复杂度,因此整个的复杂度就是 1 + 2 + 3 + ... + N = O(N ^ 2)的复杂度. // 插入排序 void InsertSort(int array[], int length) { int i, j, key;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEQ0db.html" rel="bookmark">常见排序算法的实现&lpar;六&rpar;-归并排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				归并排序的算法思想:把待排序序列分成相同大小的两个部分,依次对这两部分进行归并排序,完毕之后再按照顺序进行合并. // 归并排序中的合并算法 void Merge(int array[], int start, int mid, int end) { int temp1[10], temp2[10]; int n1, n2; n1 = mid - start + 1; n2 = end - mid; // 拷贝前半部分数组 for (int i = 0; i &lt; n1; i++) { temp1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwlnXmb.html" rel="bookmark">常见排序算法的实现&lpar;五&rpar;-快速排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				快速排序的算法思想: 选定一个枢纽元素,对待排序序列进行分割,分割之后的序列一个部分小于枢纽元素,一个部分大于枢纽元素,再对这两个分割好的子序列进行上述的过程. // 对一个给定范围的子序列选定一个枢纽元素,执行完函数之后返回分割元素所在的位置, // 在分割元素之前的元素都小于枢纽元素,在它后面的元素都大于这个元素 int Partition(int array[], int low, int high) { // 采用子序列的第一个元素为枢纽元素 int pivot = array[low]			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZO7wkb.html" rel="bookmark">常见排序算法的实现&lpar;四&rpar;-冒泡排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				冒泡排序算法的思想:很简单,每次遍历完序列都把最大(小)的元素放在最前面,然后再对剩下的序列从父前面的一个过程,每次遍历完之后待排序序列就少一个元素,当待排序序列减小为只有一个元素的时候排序就结束了.因此,复杂度在最坏的情况下是O(N ^ 2). void Swap( int * a,int * b) { int temp; temp=* a; * a =* b; * b=temp; } // 冒泡排序 void BubbleSort( int array[],int length) { //			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRy9X3b.html" rel="bookmark">常见排序算法的实现&lpar;二&rpar;-shell排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				shell排序是对插入排序的一个改装,它每次排序把序列的元素按照某个增量分成几个子序列,对这几个子序列进行插入排序,然后不断的缩小增量扩大每个子序列的元素数量,直到增量为一的时候子序列就和原先的待排列序列一样了,此时只需要做少量的比较和移动就可以完成对序列的排序了. // shell排序 void ShellSort(int array[], int length) { int temp; // 增量从数组长度的一半开始,每次减小一倍 for (int increment = length /			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwW8Dnz.html" rel="bookmark">python选择排序算法的实现代码&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.算法:对于一组关键字{K1,K2,-,Kn}, 首先从K1,K2,-,Kn中选择最小值,假如它是 Kz,则将Kz与 K1对换:然后从K2,K3,- ,Kn中选择最小值 Kz,再将Kz与K2对换.如此进行选择和调换n-2趟,第(n-1)趟,从Kn-1.Kn中选择最小值 Kz将Kz与Kn-1对换,最后剩下的就是该序列中的最大值,一个由小到大的有序序列就这样形成. 2.python 选择排序代码: 复制代码 代码如下: def selection_sort(list2):    for i in			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKq57p.html" rel="bookmark" class="title">迷宫路径输出问题-关于迷宫深度最短路径的问题</a>
					<div>
						问题描述 关于迷宫深度最短路径的问题 #include #include #include #include #include #define N 100 using namespace std; s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkJ7wM.html" rel="bookmark" class="title">Ajax基础入门</a>
					<div>
						1. 什么是AJAX? AJAX全称是异步的JavaScript和XML,是Asynchronous JavaScript and XML的缩写.AJAX技术用于创建交互式网页应用的网站开发,至于何为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbakDJp.html" rel="bookmark" class="title">最有效率的&OpenCurlyDoubleQuote;多字段模糊匹配关键字查询&rdquo;的解决办法</a>
					<div>
						关键字|解决 我们开发数据库应用时,常常需要用到模糊查询.如果同一个条件需要匹配很多字段怎么办呢?通常,程序员会每个字段都在SQL中&quot;field like '%cond%'&quot;一次. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPvGAb.html" rel="bookmark" class="title">手机横屏模式设计&colon;用户关注的功能和流程</a>
					<div>
						文章描述:换个角度看风景--手机产品设计之横屏模式. 做设计的过程,是思大于行的过程.一个有价值的设计,不是设计多么华丽.多么创新就有多么成功,那些优秀的设计师都会知道他为什么去做这样一款设计,他的设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvAw6b.html" rel="bookmark" class="title">Photoshop打造青绿色调的婚纱照片</a>
					<div>
						婚片调色可以完全按照自己的喜好选择主色,也可以按照画面中人物衣服颜色选择主色.不管用什么色调,重点是把画面中的色调搭配好,尽量做到层次分明,主体突出.原图 最终效果 [1] [2] [3] [4] [ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQEL0b.html" rel="bookmark" class="title">如何做好博客排名</a>
					<div>
						那么做一个好的博客,做一个具有影响力的博客,该如何做呢,怎样才能做到好的排名,真正实现品牌的树立呢,在我写博客的这些日子里,也在努力探索着怎样能做上好的排名,这里有一些心德体会希望与大家共勉. 一.好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2OrqM.html" rel="bookmark" class="title">怎么优化企业网站 企业网站优化赢在细节</a>
					<div>
						随着互联网的普及,越来越多的企业开始尝试通过网络低成本的进行企业推广,企业通过建立自己的网站开始试水网络营销.但是由于各种原因,很多企业网站的优化做的并不好,最终导致企业推广事倍功半,笔者觉得企业网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZjvqz.html" rel="bookmark" class="title">vista（x86）中以管理员身份运行VC程序</a>
					<div>
						方法一.(http://topic.csdn.net/u/20070303/15/457ee919-8a0b-46c4-9dd7-8606631e2108.html) 在exe的工程中找manifes ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A2RWp.html" rel="bookmark" class="title">名字空间和装配</a>
					<div>
						到现在为止,除了依赖一些系统提供的类(比如一开始我们就提到的System.Console)类,我们介绍的程序主要都是依靠自身来实现的.但更普遍的情况是,现实世界中的应用程序可能包含许多不同的部分.举个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7Dn3b.html" rel="bookmark" class="title">vista中如何安装SQL Server 2005</a>
					<div>
						下文为您介绍在vista系统下安装SQL Server 2005 数据库系统的详细方法步骤,供您参考,希望对您有所帮助. vista系统支持SQL Server 2005 Express Editio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AjkBp.html" rel="bookmark" class="title">讯飞输入法皮肤如何安装？</a>
					<div>
						  1.根据所需制作皮肤主题搜集素材,以当前主题拼音全拼或者对应英文命名皮肤模版文件夹的名称.为避免有重复名称,建议在名称最后添加当前月份,例如模版为:mengali11,请勿使用数字及特殊符号开头. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlREY8z.html" rel="bookmark" class="title">php站内搜索关键词变亮的实现方法</a>
					<div>
						 这篇文章主要介绍了php站内搜索关键词变亮的实现方法,以实例形式较为详细的分析了数据库表的创建及针对数据库的搜索关键字高亮的实现技巧,非常具有实用价值,需要的朋友可以参考下     本文实例讲述了p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4OL0p.html" rel="bookmark" class="title">Win7用户想要开启ACHI 有妙招分享</a>
					<div>
						相信很多朋友都遇到安装Windows后,再在BIOS中去开启SATA硬盘的AHCI功能的话,就会出现无法启动的情况.我最近也在安装Windows7后去开启AHCI时遇到这样的问题,只有改回IDE模式后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx2Pkb.html" rel="bookmark" class="title">简单的php缓存类分享</a>
					<div>
						 这篇文章主要介绍了一个php缓存类,文件名使用md5加密,大家参考使用吧 代码如下: &lt;?php class Cache  {  private $dir = &quot;data/cache ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL6YZb.html" rel="bookmark" class="title">php curl登陆qq后获取用户信息时证书错误</a>
					<div>
						这篇文章主要介绍了php curl登陆qq后获取用户信息时证书错误,需要的朋友可以参考下 今晚开放ecmall商城的QQ登陆功能,在回调时产生错误,file_get_contents函数执行时,没有抓 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJA4vp.html" rel="bookmark" class="title">Excel的IFERROR函数是什么</a>
					<div>
						Excel的IFERROR函数用来捕获和处理公式中的错误.如果公式的计算结果为错误,则返回您指定的值;否则将返回公式的结果. 语法 IFERROR(value, value_if_error) IFE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYLqAM.html" rel="bookmark" class="title">在Word2010中查找和替换字符格式</a>
					<div>
						  使用Word2010的查找和替换功能,不仅可以查找和替换字符,还可以查找和替换字符格式(例如查找或替换字体.字号.字体颜色等格式),操作步骤如下所述: 第1步,打开Word2010文档窗口,在&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLm8nZz.html" rel="bookmark" class="title">通过兴趣标签做陌生人交友</a>
					<div>
						摘要: Tinder式两情相悦才能结为好友的交互方式已不是什么大发明,通过兴趣标签匹配好友也不新鲜,把两者结合起来也并不是十分惊艳, 不过心跳 (iOS)社交就是这样做了,确实还是有几分意 Tinde ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b328ZWz.html" rel="bookmark" class="title">数据库设计指南之我见</a>
					<div>
						网上流传着一份关于数据库设计的文档&lt;数据库设计指南&gt;收集了几十个数据库设计大牛在项目中总结出来的Best Practice最佳实践,我最近也花了点时间细读并结合自身实际进行了总结,感觉自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRoeBz.html" rel="bookmark" class="title">windows 2008 安装mysql5&period;5&period;54</a>
					<div>
						下载5.5.54版本:http://dev.mysql.com/downloads/mysql/5.5.html#downloads 选择Windows (x86, 64-bit), ZIP Arch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze61m0b.html" rel="bookmark" class="title">知名虚拟主机服务商之主机控制面板大比拼</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 对于虚拟主机使用者来讲,无非在乎三 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDek5Wb.html" rel="bookmark" class="title">google测试分享-问题和挑战</a>
					<div>
						前言:这个系列分享的内容大部分都是出自于&lt;google是如何测试的&gt;的书,不是我YY的,我只是大自然的搬用工,希望对大家有那么一点点的用处,当然后面也会有个人的一些想法. 上一次分享了go ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDvPKz.html" rel="bookmark" class="title">IPv4地址枯竭 但中国IPv6地址使用率只有0&period;5&percnt;</a>
					<div>
						&quot;随着全球互联网的广泛深入应用,IPv4地址枯竭的危机不再是'狼来了'的玩笑.&quot;14日,中国科学院计算机网络信息中心总工程师阎保平代表在接受科技日报记者采访时表示,面对IPv4地址 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRr06b.html" rel="bookmark" class="title">用VBS来代替BAT或CMD文件进行命令第1&sol;2页&lowbar;vbs</a>
					<div>
						自动导入注册表的,带检测: On Error Resume Next dim msg,fso,shell Set fso = Wscript.createobject(&quot;scripting. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBqaZb.html" rel="bookmark" class="title">libusb&sol;winusbdevice-WinUSB device 与Libusb的在STM32F10x怎么使用&quest;</a>
					<div>
						问题描述 WinUSB device 与Libusb的在STM32F10x怎么使用? 最近有一个引用需求:用STM32F10x做一个简单的示波器,USB通信虚拟为串口后数据带宽不够, 看到类似的产品有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXZdvz.html" rel="bookmark" class="title">请问如何辨别用户是用HttpClient还是用浏览器进行访问的&quest;</a>
					<div>
						问题描述 请问如何辨别用户是用HttpClient还是用浏览器进行访问的? 解决方案 解决方案二:无法辨别!解决方案三:所以才有了验证码!解决方案四:引用2楼kevindude的回复: 所以才有了验证 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Z3o7z.html" rel="bookmark" class="title">Struts2漏洞引发互联网恐慌 加速乐紧急发布防御规则</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 7月17日,著名Java Web框架Struts2被曝存在远程任意代码的高危漏洞,该漏洞可以影响Struts2.0-Struts2.3所有版本;攻击者可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRKAZp.html" rel="bookmark" class="title">环信好友列表</a>
					<div>
						问题描述 环信好友列表怎么维护,是每个开发商维护好友列表,一个账号有好友数量上限的限制吗?假如,我一个好友有几千万的好友可以吗?(就是在一个Apptoken下注册几千万的好友,可能有点夸张?) 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw3y5M.html" rel="bookmark" class="title">美媒认为Apple Pay推广遇到挫折&comma;前景并不明朗</a>
					<div>
						Apple Pay是苹果公司在2014苹果秋季新品发布会上发布的一种基于NFC的手机支付功能,于当地时间10月20日正式上线.美国&lt;福布斯&gt;网站12月22日文章称,该功能未能成功像其发行之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JE8gz.html" rel="bookmark" class="title">网上购买奢侈品小心名牌是山寨</a>
					<div>
						楚天都市报讯 本报见习记者徐蔚 倪留青 品牌往往被山寨,连品牌外包装也难免被山寨.大牌购物袋,珠宝手表包装盒.多国语言说明书.以假乱真的发票和条形码都能轻易买到山寨货.网络上,甚至于只需花费几十块钱, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
